Segments

Segment migration endpoints for subscriptions


Parameters

Name In Type Required Description
org path string true Organization name (tenant)
legacy_id path string true Legacy subscription ID
body body CreateSegmentRequest true ‘none’

Enumerated Values

Property Values
org one of [euskaltel, telecable, rcable, racctel]

Request body - instance of CreateSegmentRequest

1
2
3
4
5
{
  "segment_id": "DEVICEOFFERSEGMENT",
  "segment_value": "PREMIUM",
  "reason": "rfm krt"
}
Name Type Required Description
segment_id string true Segment identifier (must match pattern based on subscription type - OM% for postpaid mobile, OP% for prepaid, OC% for convergent)
segment_value string true Segment value
reason string true Reason for segment creation

Request example

 1
 2
 3
 4
 5
 6
 7
 8
 9
10
11

curl -X POST https://subscriptions.masstack.com/v3/orgs/euskaltel/migrations/subscriptions/12345/segments \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}" \
 --data-raw "{
  'segment_id': 'DEVICEOFFERSEGMENT',
  'segment_value': 'PREMIUM',
  'reason': 'rfm krt'
}" 

Responses

Code Meaning Description Schema
201 Created Segment created successfully None
400 Bad Request Bad request ErrorResponse
403 Forbidden Forbidden access ErrorResponse
404 Not Found Resource not found ErrorResponse
409 Conflict Resource already exists ErrorResponse
500 Internal Server Error Internal server error ErrorResponse

Parameters

Name In Type Required Description
org path string true Organization name (tenant)
legacy_id path string true Legacy subscription ID

Enumerated Values

Property Values
org one of [euskaltel, telecable, rcable, racctel]

Request example

1
2
3
4
5

curl -X DELETE https://subscriptions.masstack.com/v3/orgs/euskaltel/migrations/subscriptions/12345/segments \
  -H "Accept: application/json" \
  -H "Authorization: Bearer {access-token}"

Responses

Code Meaning Description Schema
204 No Content Segment deleted successfully None
403 Forbidden Forbidden access ErrorResponse
500 Internal Server Error Internal server error ErrorResponse

Endpoints

Credit Limits

    Segments

      Max Subscriptions